---
lang: en
title: 'API docs: authentication.userprofile'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authentication.userprofile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [UserProfile](./authentication.userprofile.md)

## UserProfile interface

interface definition of a user profile http://openid.net/specs/openid-connect-core-1\_0.html\#StandardClaims

<b>Signature:</b>

```typescript
export interface UserProfile 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [email](./authentication.userprofile.email.md) | <code>string</code> |  |
|  [id](./authentication.userprofile.id.md) | <code>string</code> |  |
|  [name](./authentication.userprofile.name.md) | <code>string</code> |  |


